# Template
#
# Wraps an ERB template in a container so data can be accessed properly.
#
# Shot Framework - Copyright (c) Jesse Aaron Dunlap <me@jessedunlap.me>
# Licensed under the MIT License. For full licensing information, please
# see LICENSE.md. http://github.com/JesseDunlap/shot/

require 'erb'

class Template
	# Absolute path to the ERB file
	attr_accessor :template

	# Data available to the ERB template
	attr_accessor :data

	def initialize(template_file)
		@template = template_file
		@data = {}
	end

	def render
		template = ERB.new File.read @template
		template.result binding
	end

	def data=(data)
		@data.merge! data
	end
end